<!DOCTYPE html>
<html lang="en" class="use-slim-core">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" href="../css/slim-core.css">
    <link rel="stylesheet" href="../css/slim-core-components.css">
    <title>Modal</title>
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css"
        integrity="sha384-AYmEC3Yw5cVb3ZcuHtOA93w35dYTsvhLPVnYs9eStHfGJvOvKxVfELGroGkvsg+p" crossorigin="anonymous" />
</head>

<body class="container pt-5">
    <div>
        <a href="./index.html">Previous</a>
    </div>
    <br>

    <h1>21- Modal</h1>
    <br><br>

    <div class="group">
        <h3># Modal</h3>
        <button class="btn modal-btn" id="modal1">
            launch modal
        </button>
    </div>
    <div class="modal-wrapper" data-modal="modal1">
        <div class="modal card">
            <div class="card-item d-flex justifyContent-between alignItems-center">
                <p class="title m-0">Modal title</p>
                <a href="#" class="no-style modal-close">
                    <i class="fas fa-times fa-lg t-danger"></i>
                </a>
            </div>
            <div class="card-item py-4">
                Modal body text goes here.
            </div>
            <div class="card-item d-flex justifyContent-end">
                <button class="btn danger modal-close">Close</button>
                <button class="btn info ml-2">Save</button>
            </div>
        </div>
    </div>
    <br><br>

    <div class="group">
        <h3># Modal Center</h3>
        <button class="btn modal-btn" id="modal2">
            launch modal
        </button>
    </div>
    <div class="modal-wrapper alignItems-center" data-modal="modal2">
        <div class="modal card">
            <div class="card-item d-flex justifyContent-between alignItems-center">
                <p class="title m-0">Modal title</p>
                <a href="#" class="no-style modal-close">
                    <i class="fas fa-times fa-lg t-danger"></i>
                </a>
            </div>
            <div class="card-item py-4">
                Modal body text goes here.
            </div>
            <div class="card-item d-flex justifyContent-end">
                <button class="btn danger modal-close">Close</button>
                <button class="btn info ml-2">Save</button>
            </div>
        </div>
    </div>
    <br><br>

    <div class="group">
        <h3># Modal Bottom full width</h3>
        <button class="btn modal-btn" id="modal3">
            launch modal
        </button>
    </div>
    <div class="modal-wrapper alignItems-end" data-modal="modal3">
        <div class="modal card w-100 m-0">
            <div class="card-item py-4">
                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Sapiente, quidem.</p>
                <Button class="btn modal-close">Fermer</Button>
            </div>
        </div>
    </div>
    <br><br>

    <div class="group">
        <h3># Modal Breackpoint</h3>
        <button class="btn modal-btn" id="modal4">full-width</button>
        <button class="btn modal-btn" id="modal5">w-75</button>
        <button class="btn modal-btn" id="modal6">w-50</button>
        <button class="btn modal-btn" id="modal7">w-25</button>
    </div>
    <div class="modal-wrapper" data-modal="modal4">
        <div class="modal card w-100 h-100 m-0">
            <div class="card-item d-flex justifyContent-between alignItems-center flexGrow-0">
                <p class="title m-0">Modal title</p>
                <a href="#" class="no-style modal-close">
                    <i class="fas fa-times fa-lg t-danger"></i>
                </a>
            </div>
            <div class="card-item py-4">
                Modal body text goes here.
            </div>
            <div class="card-item d-flex justifyContent-end flexGrow-0">
                <div class="group">
                    <button class="btn danger modal-close">Close</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-wrapper" data-modal="modal5">
        <div class="modal card w-75">
            <div class="card-item d-flex justifyContent-between alignItems-center">
                <p class="title m-0">Modal title</p>
                <a href="#" class="no-style modal-close">
                    <i class="fas fa-times fa-lg t-danger"></i>
                </a>
            </div>
            <div class="card-item py-4">
                Modal body text goes here.
            </div>
            <div class="card-item d-flex justifyContent-end">
                <div class="group">
                    <button class="btn danger modal-close">Close</button>
                    <button class="btn info ml-2">Save</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-wrapper" data-modal="modal6">
        <div class="modal card w-50">
            <div class="card-item d-flex justifyContent-between alignItems-center">
                <p class="title m-0">Modal title</p>
                <a href="#" class="no-style modal-close">
                    <i class="fas fa-times fa-lg t-danger"></i>
                </a>
            </div>
            <div class="card-item py-4">
                Modal body text goes here.
            </div>
            <div class="card-item d-flex justifyContent-end">
                <div class="group">
                    <button class="btn danger modal-close">Close</button>
                    <button class="btn info ml-2">Save</button>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-wrapper" data-modal="modal7">
        <div class="modal card w-25">
            <div class="card-item d-flex justifyContent-between alignItems-center">
                <p class="title m-0">Modal title</p>
                <a href="#" class="no-style modal-close">
                    <i class="fas fa-times fa-lg t-danger"></i>
                </a>
            </div>
            <div class="card-item py-4">
                Modal body text goes here.
            </div>
            <div class="card-item d-flex justifyContent-end">
                <div class="group">
                    <button class="btn danger modal-close">Close</button>
                    <button class="btn info ml-2">Save</button>
                </div>
            </div>
        </div>
    </div>

    <script>
        document.querySelectorAll('.modal-wrapper').forEach(modal => {
            const modalBtn = document.querySelector(`#${modal.dataset.modal}`)
            if (modalBtn) {
                modalBtn.addEventListener('click', e => {
                    e.preventDefault();
                    modal.classList.toggle('active')
                })
                modal.querySelectorAll('.modal-close').forEach(modalClose => {
                    modalClose.addEventListener('click', e => {
                        e.preventDefault()
                        modal.classList.remove('active')
                    })
                })
            }
        })
    </script>
</body>

</html>